#ifndef TFDPLAYER_H
#define TFDPLAYER_H

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

typedef struct {
	unsigned char *data;
	BOOL play;
	int ptr;
	int chipsel;
	int intcount;
	int loop;
	int frames;
	void *TFM;
} TFDP;

void tfd_init(TFDP *TFDP,void *TFM,unsigned char *data);
void tfd_frame(TFDP *TFDP);
void tfd_play(TFDP *TFDP,BOOL play);

#endif
